Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.binxml
Interface BinXMLDecoder

      public interface BinXMLDecoder

The interface for converting a binary stream into XML. The XML can be pushed out to a ContentHandler using SAX or pulled using XMLStreamReader.

Method Summary
`void` `decode(ContentHandler cntHdlr, ErrorHandler errHdlr)` Decode and output XML SAX events to the cntHdlr and errors to errHdlr
`InfosetReader` `getReader()` Returns object for reading the decoded XML in pull style
`BinXMLSerializer` `getSerializer()` Returns object for pull style serialization
`void` `setDeclHandler(DeclHandler hdlr)` Specify the handler to receive decoded DTD declaration events
`void` `setDTDHandler(DTDHandler hdlr)` Specify the handler to receive decoded DTD events
`void` `setLexicalHandler(LexicalHandler hdlr)` Specify the handler to receive decoded events for comments and CDATA section boundaries

Method Detail

### decode

    void decode(ContentHandler cntHdlr,
                ErrorHandler errHdlr)
                throws BinXMLException

  Decode and output XML SAX events to the cntHdlr and errors to errHdlr
  Parameters:
    `cntHdlr` - Content handler for SAX events
    `errHdlr` - for handling errors
  Throws:
    `BinXMLException` - Raised for any errors encountered

### setDTDHandler

    void setDTDHandler(DTDHandler hdlr)

  Specify the handler to receive decoded DTD events
  Parameters:
    `hdlr` - handler for decoded DTD events

### setDeclHandler

    void setDeclHandler(DeclHandler hdlr)

  Specify the handler to receive decoded DTD declaration events
  Parameters:
    `hdlr` - handler for decoded DTD declaration events

### setLexicalHandler

    void setLexicalHandler(LexicalHandler hdlr)

  Specify the handler to receive decoded events for comments and CDATA section boundaries
  Parameters:
    `hdlr` - lexical handler to be used during decoding

### getReader

    InfosetReader getReader()
                            throws BinXMLException

  Returns object for reading the decoded XML in pull style
  Returns:
    object for pull style reading of decoded XML
  Throws:
    `BinXMLException`

### getSerializer

    BinXMLSerializer getSerializer()

  Returns object for pull style serialization
  Returns:
    serializer for decoded xml

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.